﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.GridHelperClasses;
using Syncfusion.Grouping;

namespace GridGroupingControl_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            GridDynamicFilter filter = new GridDynamicFilter();
            filter.WireGrid(gridGroupingControl1);

            //this.gridGroupingControl1.TableControlDrawCellDisplayText += new GridTableControlDrawCellDisplayTextEventHandler(gridGroupingControl1_TableControlDrawCellDisplayText);
        
        }

        #region Form_Load
        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable data = new DataTable();
            data.Columns.Add("Sample Test");
            data.Columns.Add("Data1");
            data.Columns.Add("Data2");
            data.Columns.Add("Data3");
            for (int i = 0; i < 15; i++)
            {
                Random rand = new Random();
                data.Rows.Add("Sample data" + i, rand.Next(100), rand.Next(10), rand.Next(20));
            }

            this.gridGroupingControl1.DataSource = data;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowFilterBar = true;
            foreach (GridColumnDescriptor column in this.gridGroupingControl1.TableDescriptor.Columns)
            {
                column.AllowFilter = true;
            }

            //Activate the Filterbar cell on form load (RowIndex,ColIndex)
            this.gridGroupingControl1.TableControl.CurrentCell.Activate(3, 1);            
        }
        #endregion

        #region DrawCellDisplayText Event_Handler

        // changing FilaterBar Display Text.
        void gridGroupingControl1_TableControlDrawCellDisplayText(object sender, GridTableControlDrawCellDisplayTextEventArgs e)
        {
            GridTableCellStyleInfo style = this.gridGroupingControl1.TableControl.GetTableViewStyleInfo(e.Inner.RowIndex, e.Inner.ColIndex);
            if (e.Inner.ColIndex == 1)
            {
                if (style.TableCellIdentity.TableCellType == GridTableCellType.FilterBarCell)
                {
                    e.Inner.DisplayText = "Sample data1";
                    //Activate the CurrentCell on the Filterbar cell using (RowIndex,ColIndex)
                    e.TableControl.CurrentCell.Activate(e.Inner.RowIndex, e.Inner.ColIndex);
                }
            }
        }

        #endregion
    }
}
